package com.sample;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.DynaActionForm;

public class LoginAction extends Action{

	/**
	 * @see org.apache.struts.action.Action#execute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse)
	 */
	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		DynaActionForm loginForm =(DynaActionForm)form;
		String userName = (String)loginForm.get("userName");
		String password = (String)loginForm.get("password");
		if( isValidUser(userName,password)){
			request.getSession().setAttribute("userName",userName);
			return mapping.findForward("sucess");
		}
		
		ActionErrors loginErros = new ActionErrors();
		loginErros.add("userName",new ActionError("invalid.login"));
		saveErrors(request,loginErros);
		return mapping.getInputForward();
	}
	
	public boolean isValidUser(String userName, String password){
		if( userName.equals("tomcat") && password.equals("catalina"))
			return true;
			return false;	
	}	

}
